VSPRINTF(9)

NAME
vsprintf - Format a string and place it in a buffer

SYNOPSIS

int vsprintf (char * buf, const char * fmt, va_list args);

ARGUMENTS

buf The buffer to place the result into

fmt The format string to use

args
    Arguments for the format string

DESCRIPTION

The function returns the number of characters written into buf. Use vsnprintf or vscnprintf in order to avoid buffer overflows.

Call this function if you are already dealing with a va_list. You probably want sprintf instead.